## module-assistant 0.6.8

=== Makefile ===
doc: module-assistant.8

module-assistant.8: module-assistant.8.sgml
	docbook2man module-assistant.8.sgml
	rm manpage.links manpage.refs
#	perl -pe 's/([^\\])-/$1\\-/g' -i  module-assistant.8
#	docbook2html module-assistant.8.sgml

install:
	-mkdir -p $(prefix)/usr/share
	tar c `find modass | grep -v svn` | tar x -C $(prefix)/usr/share
	-mkdir $(prefix)/var/cache/modass -p

clean:
	rm manpage.*

=== debian/changelog ===
module-assistant (0.6.8) unstable; urgency=low

  * better printout of the log file location, also noted in the manpage
  * generic.mk: work arounds for having epoch number in both, kernel and
    package revision. Also made it expect "cosmetic" filenames (without
    epochs) for the package files

 -- Eduard Bloch <blade@debian.org>  Sat,  8 May 2004 00:28:31 +0200

module-assistant (0.6.7) unstable; urgency=low

  * generic.sh: better check for the installed status
  * fixed the package name completion (closes: #247888)

 -- Eduard Bloch <blade@debian.org>  Fri,  7 May 2004 20:29:21 +0200

module-assistant (0.6.6) unstable; urgency=low

  * changed the Makefile modification routine to act less destructive in
    "fakesource"

 -- Eduard Bloch <blade@debian.org>  Fri,  7 May 2004 00:25:50 +0200

module-assistant (0.6.5) unstable; urgency=low

  * repeative scan for the build directory in generic.sh, especially after
    initial source extraction is done. Thanks to Sebastian Ley for providing
    test data.
  * a new experimental function: "fakesource" which creates a kernel source
    tree that "may" be similar to the one used to build the current kernel

 -- Eduard Bloch <blade@debian.org>  Thu, 06 May 2004 23:20:56 +0200

module-assistant (0.6.4) unstable; urgency=low

  * fixed check for the root-UID and replacement directory (closes: #245738).
    The messages appears early enough to not continue with file download
    (closes: #239844)
  * hidding missleading error message showed by echodebfile method when the
    source is not extracted yet
  * new control script: ipw2100-source

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Mar 2004 21:54:53 +0200

module-assistant (0.6.3) unstable; urgency=low

  * more meaningful message about not full configured kernel source
  * self-configuring build mode for "any given package"
  * new control scripts: ppscsi, qc-usb-source (closes: #240738)
  * replaced the old script name in the manpage (closes: #239839)
  * Failing early if the user is not root and not replacement directory is
    speicified (closes: #239839)
  * integrated the KSRC calculation hocus-pocus as the last fallback option

 -- Eduard Bloch <blade@debian.org>  Fri, 27 Feb 2004 03:26:03 +0100

module-assistant (0.6.2) unstable; urgency=low

  * Corrected dialog/whiptail detection
  * NEW: option to simplify non-root usage (-u)
  
 -- Eduard Bloch <blade@debian.org>  Sat, 31 Jan 2004 23:14:58 +0100

module-assistant (0.6.1) unstable; urgency=low

  * stop on build failures and show a diagnostics menu (closes: #229883)

 -- Eduard Bloch <blade@debian.org>  Sat, 17 Jan 2004 01:27:53 +0100

module-assistant (0.6) unstable; urgency=low

  * only take the current kernel version if kverslist and kerneldirs is empty
  * generik.mk exports CC
  * --text-mode documented (closes: #226427)
  * made the error message on installation of non-existent package less
    confusing
  
 -- Eduard Bloch <blade@debian.org>  Sun,  7 Dec 2003 22:18:03 +0100

module-assistant (0.5) unstable; urgency=low

  * kdist_build in common-rules.mk wraps all commands trough $(ROOT_CMD). Not
    really needed for regular m-a users but apparently useful for some people,
    closes: #221987
  * Dialog integration! UI for command invocation and progress bars while
    building und cache updating. Whiptail is used alternatively instead of
    dialog but not enabled for everything because of "missing features"
  * lots of small bug fixes, rewrite of the list method
  * new option: -l to specify the relevant kernel versions directly
    + rewrite of the the kerneldirs lookup method
  * generic.sh:
    + better error status control
    + tr instead of sed (Woody version sucked)
    + better tarball name matching

 -- Eduard Bloch <blade@debian.org>  Wed, 19 Nov 2003 23:50:53 +0100

module-assistant (0.4) unstable; urgency=medium

  * s/apt-get/module-assistant/, closes: #221281
  * added forgotten $ROOT_CMD in the preventive clean call
  * postrm wipes /var/cache/modass on purge
  * binary and manpage symlinked from module-assistant to m-a
  * better usage instructions for non-root builds

 -- Eduard Bloch <blade@debian.org>  Mon, 17 Nov 2003 16:52:54 +0100

module-assistant (0.3.8) unstable; urgency=low

  * few typos in user messages fixed
  * set Section to "admin", looks more appropriate then "misc"
  * "list" no longer looks in the apt cache by default (slowed down normal
    operation to0 much). Instead, implemented the "-s" option with alias
    command "search". List tells to use "search" when no binary packages have
    been found.

 -- Eduard Bloch <blade@debian.org>  Sun, 16 Nov 2003 10:29:12 +0100

module-assistant (0.3.7) unstable; urgency=low

  * in prep(), remove double checks of /usr/src/linux path which could lead to
    confusion and circular symlinks under certain circumstances
  * well, never give the not-release-yet tags a chance by not using debuild
    after svn-devscripts (closes: #219774)

 -- Eduard Bloch <blade@debian.org>  Wed, 12 Nov 2003 14:48:05 +0100

module-assistant (0.3.6) unstable; urgency=low

  * NOT RELEASED YET

 -- Eduard Bloch <blade@debian.org>  Tue,  4 Nov 2003 02:07:24 +0100

module-assistant (0.3.5) unstable; urgency=low

  * dropped dependency on build-essential, instead made the "prepare"
    function install it when needed
  * fixed: update call after source package installations
  * fixed: package path fishing with regexps

 -- Eduard Bloch <blade@debian.org>  Thu, 16 Oct 2003 15:55:44 +0200

module-assistant (0.3.4) unstable; urgency=low

  * new packages: shfs-source, translucency-source
  * generic.sh: double build of a package in some situations
  * generic.sh: hide confusing error messages on not available packages
  * removing tarball detection hook from alsa-source, it is more generalized
    in generic.sh now
  * added more look-for-source locations, thanks to 
    Mirco Bauer <meebey@php.net> for help on debugging



=== debian/control ===
Source: module-assistant
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0)
Standards-Version: 3.5.9

Package: module-assistant
Architecture: all
Depends: ${shlibs:Depends}, ${perl:Depends}
Suggests: build-essential, dialog | whiptail
Description: tool make module package creation easier
 The module-assistant tool helps users and maintainers with managing
 external kernel modules packaged for Debian. It can do:
 .
  - automated preparation of build environment for modules compilation
    (eg. automatical detection and installation of required kernel
    source/headers)
  - automated module source downloads
  - configuring and keeping track of external and localy built modules
    packages
  - semi-automated multiple builds for multiple kernel versions
 .
 It also contains some framework to be used by the build-scripts in the
 accompanying modules-source packages in Debian.

## module-assistant 0.6.8ubuntu1

=== Makefile ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	-mkdir $(prefix)/var/cache/modass -p
 
 clean:
-	rm manpage.*
+	-rm manpage.*

=== debian/changelog ===
module-assistant (0.6.8ubuntu1) hoary; urgency=low

  * Parameterise kernel-source/headers prefix
  * Ignore 'rm' exit code.  Fixes error when running debian/rules clean twice
  * Change kernel prefix to linux (for Ubuntu)

 -- Chris Halls <chris.halls@credativ.co.uk>  Mon,  6 Dec 2004 17:28:01 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/modules-assistant.sgml > modules-assistant.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp modass/include/*.make

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/modules-assistant.
	dh_installdirs usr/share var/cache/modass usr/bin
	cp -a modass debian/module-assistant/usr/share/
	cd debian/module-assistant/usr/share/modass/packages ; \
		defsum=`md5sum default.sh | cut -f1 -d\ `; \
		for x in * ; do \
			if test `md5sum $$x | cut -f1 -d\ ` = $$defsum -a $$x != default.sh ; then \
				ln -sf default.sh $$x ; \
			fi; \
		done
	ln -s generic.mk debian/module-assistant/usr/share/modass/include/generic.make
	ln -s common-rules.mk debian/module-assistant/usr/share/modass/include/common-rules.make
#	for x in debian/module-assistant/usr/share/modass/include/*.mk ; do ln -s `basename $$x` $${x%mk}make; done
	cp -a module-assistant debian/module-assistant/usr/bin
	ln -sf module-assistant debian/module-assistant/usr/bin/m-a
	dh_installman module-assistant.8
	ln -sf module-assistant.8.gz debian/module-assistant/usr/share/man/man8/m-a.8.gz
	find debian/module-assistant | grep "\.svn" | xargs rm -rf
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/modules-assistant


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## module-assistant 0.9sarge1

=== po/Makefile ===
# For example, POFILES = ja.po fr.po pt_PR.po & MOFILES = ja.mo fr.mo pt_PR.mo
POFILES = ja.po de.po pt_BR.po
MOFILES = ja.mo de.mo pt_BR.mo
localedir=/usr/share/locale
.SUFFIXES: .po .mo

all: $(MOFILES)
messages.pot: ../module-assistant
	xgettext -L perl ../module-assistant -o $@
.po.mo:
	msgfmt $*.po -o $@
$(POFILES): messages.pot
	msgmerge -U $@ messages.pot
clean:
	rm -f *~ *.mo
install: $(MOFILES)
	langs=`ls *.mo | sed -e 's/\.mo$$//'`; \
	for lang in $$langs; do \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  install -d $(DESTDIR)$$dir; \
	  install -m 644 $$lang.mo $(DESTDIR)$$dir/module-assistant.mo; \
	done

=== debian/changelog ===
module-assistant (0.9sarge1) stable-security; urgency=high

  * security bugfix release proposal
  * Fixes a possible symlink attack caused by debug message storage
    [modass/include/generic.mk, CAN-2005-3121]

 -- Eduard Bloch <blade@debian.org>  Thu,  1 Sep 2005 10:15:56 +0200

module-assistant (0.9) unstable; urgency=high

  * correcting description of the -i option in the manpage
  * added a rescan method to detect new override files installed by package.
    Important for the future upgrades when Sarge will be stable.
  * a nicer version number ;-)

 -- Eduard Bloch <blade@debian.org>  Mon, 16 May 2005 01:02:02 +0200

module-assistant (0.8.12) unstable; urgency=high

  * added workarounds in the misdn script (basically disabled
    parts in clean/unpack/purge rules since the package does not follow
    conventions)
  * while working on misdn found and fixed potential bugs in generic.sh (not
    catching some build directory names and beginning of the build not logged)

 -- Eduard Bloch <blade@debian.org>  Sun, 15 May 2005 14:23:04 +0200

module-assistant (0.8.11) unstable; urgency=medium

  * manpage updates:
    + new goals in the TODO list
    + a-i does not run prepare (recommended prepare elsewhere, closes:#309031)
    + typo and gramar fixes
  * added pt_BR.po from Andre Luis Lopes (closes: #308093)
  * removed control script for cpcieject (package removed, also from Sarge
    now, closes: #307227)

 -- Eduard Bloch <blade@debian.org>  Sat, 14 May 2005 15:24:12 +0200

module-assistant (0.8.10) unstable; urgency=high

  * actually unpacking the source package before build starts (as done before)
    and using "unpacked" flags only with -o
  * fixed typo in the long help (search == "list -s", closes: #305910)

 -- Eduard Bloch <blade@debian.org>  Mon, 25 Apr 2005 00:43:39 +0200

module-assistant (0.8.9) unstable; urgency=high

  * this really needs to go into Sarge now, thus the severity
  * bash completion file fix (removed experimental/unsupported commands, 
    added all, alli, allu virtual packages)
  * developer howto revised, minor updates

 -- Eduard Bloch <blade@debian.org>  Thu, 21 Apr 2005 19:34:03 +0200

module-assistant (0.8.8) unstable; urgency=medium

  * bash_completion file and few internal commands to provide data for it
  * made the checks for terminal checks failures more carefull, no more
    compilation error without Text::Size (closes: #305083)
  * various typo fixes, thanks to Flavio Stanchina (closes: #305085)
  * unfuzzying in ja.po and de.po, typos fixes in de.po

 -- Eduard Bloch <blade@debian.org>  Mon, 18 Apr 2005 02:26:21 +0200

module-assistant (0.8.7) unstable; urgency=medium

  * long options for --quiet and --debug and enforced quiet more aggresively
  * update command speedups:
    + fixed the apt-policy data precaching (about three times faster now)
    + writting version strings from m-a, not running control scripts. Since
      there are only few "weird" packages with special control scripts today,
      the command is ultra fast now
  * more automatic text wrapping (using libterm-size-perl or
    libterm-readkey-perl)
  * recoded the Japanese translation to UTF-8 to edit it and fix fuzzyness
  * moved from fixed dialog sizes to variable sizes where it makes sense
    (closes: #300208)

 -- Eduard Bloch <blade@debian.org>  Sat, 16 Apr 2005 20:10:58 +0200

module-assistant (0.8.6) unstable; urgency=medium

  * i18n by Kenshi Muto and Luk Claes, thanks guys. Added de.po translated by
    me (closes: #261989, #304321)
  * adjusted source dir dupe filter to no count kernel-headers twice (when
    linked to /usr/src/linux, closes: #302714)

 -- Eduard Bloch <blade@debian.org>  Fri, 15 Apr 2005 01:49:59 +0200

module-assistant (0.8.5) unstable; urgency=low

  * removed the APT_LISTCHANGES_FRONTEND setting again, it is up to the local
    admin to make it quiet when m-a is called

 -- Eduard Bloch <blade@debian.org>  Sun, 10 Apr 2005 13:12:58 +0200

module-assistant (0.8.4) unstable; urgency=low

  * non-interactive mode fixes: passing -y to apt-get where possible and
    setting APT_LISTCHANGES_FRONTEND=mail to make it STFU

 -- Eduard Bloch <blade@debian.org>  Sun, 10 Apr 2005 11:43:27 +0200

module-assistant (0.8.3) unstable; urgency=low

  * wrapping most rules in common-rules.sh trough ROOT_CMD. There is a remote
    possibility that it may break things, but we will see (closes: #303838)
  * KDREV detection code cleanup, does not stumble over (none) any more if
    neither -headers not -image has been installed (closes: Bug#303543)
  * now also adding modules with failed builds to temporary blacklist,
    avoiding doomed installation attempts (closes: #303407)
  * if /usr/src/linux seems to be non-existent, print a warning and set KVERS
    to unknown rather than to ".."
  * made the list output easier to read and more compact
  * the -i option slightly modified (meaning now: non-interactive), renamed
    the long option to non-inter
  * code review, now avoiding duplicated compilation by using flag files (for
    "old" packages) or the prediction function for m-a using source packages.
    Repeated unpack operations can be skipped with an option. All that
    makes "full-automatic binary installation" (#239695, #303636, #299727)
    possible but needs a better crystallization of the integration method.
  * Added an example script for this functionality (for cron or so) and a
    compressed set of templates for the debian/* directory of future packages.

 -- Eduard Bloch <blade@debian.org>  Sun, 10 Apr 2005 01:21:53 +0200

module-assistant (0.8.2) unstable; urgency=high

  * Yippie! Found and fixed an old Heisenbug. "Random" log lines accidentaly
    have been used as the initial message in new progress windows created
    during the build process and this sometimes messed up the dialog call
    because of ugly things like `' quotes (closes: #234733, #283836, #290126)
  * new package control script: unionfs-source



=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: misc
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends-Indep: debhelper (>> 4.0.0)
-Standards-Version: 3.5.9
+Build-Depends-Indep: debhelper (>> 4.0.0), bzip2, gettext
+Standards-Version: 3.6.1.1
 
 Package: module-assistant
 Architecture: all
-Depends: ${shlibs:Depends}, ${perl:Depends}
+Depends: ${shlibs:Depends}, ${perl:Depends}, libtext-wrapi18n-perl
+Recommends: liblocale-gettext-perl, libterm-size-perl | libterm-readkey-perl
 Suggests: build-essential, dialog | whiptail
-Description: tool make module package creation easier
+Description: tool to make module package creation easier
  The module-assistant tool helps users and maintainers with managing
  external kernel modules packaged for Debian. It can do:
  .

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #export DH_VERBOSE=1
 
 CFLAGS = -Wall -g
+SHELL=/bin/bash
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -37,7 +38,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp modass/include/*.make
+	rm -f build-stamp configure-stamp modass/include/*.make templates-debian-dir.tar*
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
@@ -51,12 +52,15 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/modules-assistant.
-	dh_installdirs usr/share var/cache/modass usr/bin
+	dh_installdirs usr/share var/cache/modass usr/bin etc/bash_completion.d
+#	chgrp src debian/module-assistant/var/cache/modass
+#	chmod g+s debian/module-assistant/var/cache/modass
 	cp -a modass debian/module-assistant/usr/share/
 	cd debian/module-assistant/usr/share/modass/packages ; \
 		defsum=`md5sum default.sh | cut -f1 -d\ `; \
 		for x in * ; do \
 			if test `md5sum $$x | cut -f1 -d\ ` = $$defsum -a $$x != default.sh ; then \
+				echo L: $$x ; \
 				ln -sf default.sh $$x ; \
 			fi; \
 		done
@@ -64,11 +68,13 @@
 	ln -s common-rules.mk debian/module-assistant/usr/share/modass/include/common-rules.make
 #	for x in debian/module-assistant/usr/share/modass/include/*.mk ; do ln -s `basename $$x` $${x%mk}make; done
 	cp -a module-assistant debian/module-assistant/usr/bin
+	cp -a m-a debian/module-assistant/etc/bash_completion.d
 	ln -sf module-assistant debian/module-assistant/usr/bin/m-a
 	dh_installman module-assistant.8
 	ln -sf module-assistant.8.gz debian/module-assistant/usr/share/man/man8/m-a.8.gz
 	find debian/module-assistant | grep "\.svn" | xargs rm -rf
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/modules-assistant
+	(cd po && $(MAKE) install DESTDIR=$(CURDIR)/debian/module-assistant)
 
 
 # Build architecture-independent files here.
@@ -81,7 +87,8 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs
-	dh_installexamples
+	tar cf templates-debian-dir.tar templates && bzip2 -9f templates-debian-dir.tar
+	dh_installexamples non-interactive-auto-update.sh templates-debian-dir.tar.bz2
 #	dh_install
 #	dh_installmenu
 #	dh_installdebconf	
@@ -94,14 +101,14 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip
+	#dh_strip
 	dh_compress
-	dh_fixperms
+	dh_fixperms -Xvar/cache/modass
 	dh_perl
 #	dh_python
 #	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps
+	#dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## module-assistant 0.9.5ubuntu1

=== Makefile ===
doc: module-assistant.8

module-assistant.8: module-assistant.8.sgml
	docbook2man module-assistant.8.sgml
	rm -f manpage.links manpage.refs
#	perl -pe 's/([^\\])-/$1\\-/g' -i  module-assistant.8
#	docbook2html module-assistant.8.sgml

install:
	-mkdir -p $(prefix)/usr/share
	tar c `find modass | grep -v svn` | tar x -C $(prefix)/usr/share
	-mkdir $(prefix)/var/cache/modass -p
	cd po && make install DESTDIR=$(prefix)

clean:
	cd po && make clean
	-rm -f manpage.*

=== debian/changelog ===
module-assistant (0.9.5ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Remerged, order in which the patched were applied was wrong.

 -- Jorge Daza Garcia Blanes <jorge@drqueue.org>  Fri, 22 Jul 2005 02:47:15 +0200

module-assistant (0.9.5) unstable; urgency=low

  * the "fighting Zugs^h^h^h^h Murphy's law" release
  * printing one summary of installation error messages on multiple packages
    (closes: #318856)
  * typo fixes in de.po

 -- Eduard Bloch <blade@debian.org>  Tue, 19 Jul 2005 09:10:15 +0200

module-assistant (0.9.4) unstable; urgency=medium

  * generik.make: added a cludge to push the correct gcc into the path.
    Workaround for the kernel build system stupidity (ignores CC from
    environment) (closes: #298422, #317687)
  * droped the slmodem alias, breaks with the new code and no time to fix
    that. Use sl-modem instead (which is correct name anyways)

 -- Eduard Bloch <blade@debian.org>  Sun, 10 Jul 2005 21:33:46 +0200

module-assistant (0.9.3) unstable; urgency=low

  * improved the package name finishing regexp, workaround for multibyte quotes
  * adding --force-yes to apt-get calls in --force mode
  * fixed update command for "compliant" ones
  * fixed de.po typo

 -- Eduard Bloch <blade@debian.org>  Fri, 01 Jul 2005 00:50:47 +0200

module-assistant (0.9.2) unstable; urgency=low

  * Hiding some new messages in non-debug mode

 -- Eduard Bloch <blade@debian.org>  Thu, 16 Jun 2005 00:52:33 +0200

module-assistant (0.9.1) unstable; urgency=low

  * improved the package name fishing regexp (closes: #311950)
  * added another "funny" tarball/builddir postfix permutation to the lookup
    list in generic.sh (closes: #311090)
  * German translation typo fixes by Jens Seidel (closes: #313969)
  * removed: qce-source, syscalltrack-source
  * new package: rtai-source
  * replaced the symlinks pool with a list file, reviewed the scripts with
    special modification/fixes and removed those where odities apparently have
    been fixed in the meantime (or the generic.sh script got other workarounds
    for them)

 -- Eduard Bloch <blade@debian.org>  Thu, 16 Jun 2005 00:52:01 +0200

## module-assistant 0.10.2

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # For example, POFILES = ja.po fr.po pt_PR.po & MOFILES = ja.mo fr.mo pt_PR.mo
-POFILES = ja.po de.po pt_BR.po
-MOFILES = ja.mo de.mo pt_BR.mo
+POFILES = fr.po ja.po de.po pt_BR.po
+MOFILES = fr.mo ja.mo de.mo pt_BR.mo
 localedir=/usr/share/locale
 .SUFFIXES: .po .mo

=== debian/changelog ===
module-assistant (0.10.2) unstable; urgency=low

  * Minor typo fix, missing semicolon

 -- Eduard Bloch <blade@debian.org>  Thu, 24 Nov 2005 23:32:16 +0100

module-assistant (0.10.1) unstable; urgency=low

  * workaround to not fail on accidentialy created package description zombies
    (closes: #339342). Also hidding irrelevant warnings.
  * bug in generic.sh fixed, lookup for tarball did not look in $MOD_SRCDIR
    location (closes: #339043)
  * temporarily setting $ROOT_CMD for prepare and download commands 
    (closes: #330742)

 -- Eduard Bloch <blade@debian.org>  Thu, 24 Nov 2005 01:48:15 +0100

module-assistant (0.10) unstable; urgency=low

  * fixed the auto-completion on unregistered packages
  * removed the old linux-wlan-ng build control script, added to the list of
    "compliant" now. Also added zd1211-source.
  * added more checks for the output file existance to compensate effects of
    CDBS environment poisoning in some packages
  * just warning if fakeroot is not installing and no ROOT_CMD variable has
    been set (closes: #338802)

 -- Eduard Bloch <blade@debian.org>  Sun, 13 Nov 2005 12:00:32 +0100

module-assistant (0.9.12) unstable; urgency=low

  * added fakesource to the bash_completion file
  * fakesource also calls modules_prepare which is required to compile modpost
    nowadays

 -- Eduard Bloch <blade@debian.org>  Sat, 12 Nov 2005 00:20:37 +0100

module-assistant (0.9.11) unstable; urgency=low

  * added French translation Clement Stenac / Thomas Huriaux (closes: #330143)
  * major code cleanup WRT control scripts invocation
  * changed the target location for generated source when -u switch is
    used (closes: #332860)

 -- Eduard Bloch <blade@debian.org>  Mon, 07 Nov 2005 19:14:45 +0100

module-assistant (0.9.10) unstable; urgency=low

  * clean up of the sudo command passing, still not perfect (closes: #321302)
  * workaround for correct sudo calls in the downlolad command (closes: #328869)
  * stopped using the terminal detection (Perl) modules, they all sucked
  * debian/copyright updates

 -- Eduard Bloch <blade@debian.org>  Sat, 24 Sep 2005 12:30:45 +0200

module-assistant (0.9.9) unstable; urgency=low

  * Added ieee80211-source to the list
  * sudo usage in the download command fixed (closes: #288722)
  * added command abbreviation to the manpage synopsis (closes: #322490)
  * gramar/spelling error fixes (closes: #323776) and de.po update
  * using  long tar options and correct input handling (closes: #323344)
  * using tput if no native module for size detection is installed, moved that
    module packages to Suggests

 -- Eduard Bloch <blade@debian.org>  Sun, 04 Sep 2005 10:03:36 +0200

module-assistant (0.9.8) unstable; urgency=low

  * preserving more lines for the missing-source window because of whiptail's
    weak autodetection (closes: #320367)
  * the linux- transition: resolving alternative prefix using kernel version,
    basically based on patch from Peter Marschall, thanks! (closes: #319930)

 -- Eduard Bloch <blade@debian.org>  Sat, 30 Jul 2005 17:37:21 +0200

module-assistant (0.9.7) unstable; urgency=high

  * now really fixes the CC provider fix of #317687
  * prints a strong warning in the prep-deb-files rule if the compiler has not
    been found
  * the kernel- -> linux- transition will take time that I do not have right
    now, so sorry. Sane patches (supporting both versions) are welcome.

 -- Eduard Bloch <blade@debian.org>  Thu, 28 Jul 2005 11:51:11 +0200

module-assistant (0.9.6) unstable; urgency=low

  * explicitely executing oldconfig in the fakesource command on 2.4 kernels,
    thanks to Max Vozeler (closes: Bug#319633)
  * installing the original compile.h file to faked trees (again patch
    by Max, closes: #319062)
  * removed drbd-source entry (closes: #318310)

 -- Eduard Bloch <blade@debian.org>  Sun, 24 Jul 2005 10:02:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends-Indep: debhelper (>> 4.0.0), bzip2, gettext
-Standards-Version: 3.6.1.1
+Standards-Version: 3.6.2.1
 
 Package: module-assistant
 Architecture: all
 Depends: ${shlibs:Depends}, ${perl:Depends}, libtext-wrapi18n-perl
-Recommends: liblocale-gettext-perl, libterm-size-perl | libterm-readkey-perl
+Recommends: liblocale-gettext-perl
 Suggests: build-essential, dialog | whiptail
 Description: tool to make module package creation easier
  The module-assistant tool helps users and maintainers with managing

=== templates/debian/control ===
Source: someproject
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 4.0.0), bzip2
Standards-Version: 3.6.1

Package: someproject-utils
Architecture: any
Recommends: someproject-source
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: someproject that does something - management tools
 The someproject driver provides ... for the Linux
 kernel...
 .
 This package contains utilities needed to configure the someproject
 drivers.

Package: someproject-source
Architecture: all
Depends: module-assistant, bzip2, debhelper (>= 4.0.0)
Suggests: someproject-utils
Description: source for the someproject driver
 The someproject driver provides ... for the Linux
 kernel...
 .
 .
 This package contains the module source. The kernel driver can be built from
 it using module-assistant or make-kpkg.

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp modass/include/*.make templates-debian-dir.tar*
+	rm -f build-stamp configure-stamp templates-debian-dir.tar*
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
@@ -56,16 +56,16 @@
 #	chgrp src debian/module-assistant/var/cache/modass
 #	chmod g+s debian/module-assistant/var/cache/modass
 	cp -a modass debian/module-assistant/usr/share/
-	cd debian/module-assistant/usr/share/modass/packages ; \
-		defsum=`md5sum default.sh | cut -f1 -d\ `; \
-		for x in * ; do \
-			if test `md5sum $$x | cut -f1 -d\ ` = $$defsum -a $$x != default.sh ; then \
-				echo L: $$x ; \
-				ln -sf default.sh $$x ; \
-			fi; \
-		done
-	ln -s generic.mk debian/module-assistant/usr/share/modass/include/generic.make
-	ln -s common-rules.mk debian/module-assistant/usr/share/modass/include/common-rules.make
+#	cd debian/module-assistant/usr/share/modass/packages ; \
+#		defsum=`md5sum default.sh | cut -f1 -d\ `; \
+#		for x in * ; do \
+#			if test `md5sum $$x | cut -f1 -d\ ` = $$defsum -a $$x != default.sh ; then \
+#				echo L: $$x ; \
+#				ln -sf default.sh $$x ; \
+#			fi; \
+#		done
+#	ln -s generic.mk debian/module-assistant/usr/share/modass/include/generic.make
+#	ln -s common-rules.mk debian/module-assistant/usr/share/modass/include/common-rules.make
 #	for x in debian/module-assistant/usr/share/modass/include/*.mk ; do ln -s `basename $$x` $${x%mk}make; done
 	cp -a module-assistant debian/module-assistant/usr/bin
 	cp -a m-a debian/module-assistant/etc/bash_completion.d

=== templates/debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE) unionctl uniondbg LINUXSRC=/usr/include
	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i usr/src/modules/someproject/debian
	dh_installdirs -a usr/sbin

	$(MAKE) installbins PREFIX=debian/someproject-utils/usr
	tar -v -c --exclude ".svn" --exclude "CVS" --exclude "debian" . | tar x -C debian/someproject-source/usr/src/modules/someproject
	cp -a debian/compat debian/*modules.in debian/rules debian/copyright debian/changelog debian/someproject-source/usr/src/modules/someproject/debian
	cd debian/someproject-source/usr/src && tar c modules | bzip2 -9 > someproject.tar.bz2 && rm -rf modules

	dh_install

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs ChangeLog -i
	dh_installdocs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -s
	dh_testroot -s
	dh_installdocs -s
	dh_installchangelogs ChangeLog -s
	dh_strip -s
	dh_link -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

# module-assistant stuff
PACKAGE = someproject-modules
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

kdist_clean: prep-deb-files
	dh_clean
	$(MAKE) clean

kdist_config: prep-deb-files
binary-modules: kdist_config
	dh_testdir
	dh_testroot
	dh_clean -k
# build and install the module
	$(MAKE) KVERS=$(KVERS) LINUXSRC=$(KSRC) MODPREFIX=$(CURDIR)/debian/$(PKGNAME)/ installmod
	dh_installdocs 
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure binary-modules kdist kdist_config kdist_image kdist_clean

## module-assistant 0.10.2bpo1

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # For example, POFILES = ja.po fr.po pt_PR.po & MOFILES = ja.mo fr.mo pt_PR.mo
-POFILES = fr.po ja.po de.po pt_BR.po
-MOFILES = fr.mo ja.mo de.mo pt_BR.mo
+POFILES = fr.po ja.po de.po pt_BR.po ru.po
+MOFILES = fr.mo ja.mo de.mo pt_BR.mo ru.mo
 localedir=/usr/share/locale
 .SUFFIXES: .po .mo

=== debian/changelog ===
module-assistant (0.10.2bpo1) sarge-backports; urgency=low

  * Rebuilt for sarge.

 -- Norbert Tretkowski <nobse@debian.org>  Sun,  9 Apr 2006 14:45:35 +0200

module-assistant (0.10.3) unstable; urgency=low

  * changed default source lookup path to prefer Debian's linux headers
    packages
  * stop complaining about unconfigured kernel source if version.h is missing,
    the test is not really reliable (closes: #358332)
  * restructured version data collection code, solving rare problems like with
    override files (closes: #342112)
  * added spca5xx-source (closes: #354329), exmap-modules-source,
    realtime-lsm-source, nvidia-kernel-legacy (closes: #351852) and fglrx-kernel-src,
    loop-aes-source to compliant list (no longer requires reqsrc hack, 
    closes: #342804)
  * prepare always installs build-essential, helps with weird errors caused by
    compiler inconsistency
  * French translation update (Thomas Huriaux, closes: #330143) with a trivial
    fix (Marc Mims, closes: #341659)
  * Russian translation by Yuri Kozlov (closes: #354114)
  * documented $KERNELDIRS (closes: #341983)
  * option parser accepting alternative wording for --user-dir (with hyphen,
    closes: #341985)
  * using only the real program name for compiler search (closes: #353328)

 -- Eduard Bloch <blade@debian.org>  Thu, 24 Nov 2005 23:33:09 +0100

## module-assistant 0.10.6

=== debian/changelog ===
module-assistant (0.10.6) unstable; urgency=low

  * no external command reads untill the package is known, avoids
    unnecessary command calls while guessing the package name
  * urgent workaround for a strange bug where the package name was
    modified during auto-install

 -- Eduard Bloch <blade@debian.org>  Sun, 23 Jul 2006 17:39:25 +0200

module-assistant (0.10.5) unstable; urgency=low

  * sync compliant.list with rdepends (closes: #361011)
  * applied patch to work with version.h/utsrelease.h refactoring in 2.6.18
    (thanks to Junichi Uekawa, closes: #377198)
  * running &up and &prep as part of "auto-install", also some refactoring in
    prep to make it less noisy with read-only access (closes: #375539)
  * added CDBS_SAFE_DEB_DESTDIR (copy of DEB_DESTDIR) and a note in
    HOWTO-DEVEL. Removed old porting example, dh-make provides enough
    nowadays.
  * disabled an old crufty "helper" for DEB_DESTDIR && KMAINT mode
    (closes: #368122)

 -- Eduard Bloch <blade@debian.org>  Sat, 22 Jul 2006 11:21:46 +0200

module-assistant (0.10.4) unstable; urgency=low

  * added sysprof-module-source (closes: #360996), rt2400-source,
    rt2500-source
  * added fakesource to bash-completion
  * i18n related po/Makefile tuning (closes: #361235)
  * French translation update and language fix (closes: #362574)
  * misc. fixes: policy version update, build-depends-indep -> build-depends
 
 -- Eduard Bloch <blade@debian.org>  Mon, 15 May 2006 19:39:53 +0200

## module-assistant 0.10.8

=== po/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	msgfmt $*.po -o $@
 $(POFILES): messages.pot
 	msgmerge -U $@ messages.pot
-clean:
+clean: $(POFILES)
 	rm -f *~ *.mo
 install: $(MOFILES)
 	langs=`ls *.mo | sed -e 's/\.mo$$//'`; \
@@ -20,3 +20,5 @@
 	  install -d $(DESTDIR)$$dir; \
 	  install -m 644 $$lang.mo $(DESTDIR)$$dir/module-assistant.mo; \
 	done
+
+.PHONY: $(POFILES)

=== debian/changelog ===
module-assistant (0.10.8) unstable; urgency=low

  * nvidia-kernel-legacy ->nvidia-kernel-legacy-source (closes: #398512, #396491)
  * deleting VERSION from environment in the frontend, to avoid interaction
    with that var on users machines (closes: #396299)
  * moved RATIONALY to README, created a simple structure for better
    readability, added Marc Haber's KVERS description to glossary 
    (closes: #396488)

 -- Eduard Bloch <blade@debian.org>  Wed, 15 Nov 2006 16:45:36 +0100

module-assistant (0.10.7) unstable; urgency=medium

  * changed templates to use dh_installmodules (closes: #380159)
  * call initksrc along with prep in a-i processing, makes m-a aware of
    installed kernel headers (closes: #389580)
  * fixed an evil mistake when processing additional kernel versions, patch by
    Matthias Urlichs (closes: #381478)
  * made the gcc check critical to stop people from shooting themselfes in the
    foot, can still be overriden by the user. Also added more gcc wrapping
    directories (closes: #387375, #348815, #386037)
  * manpage fixes by Simon Paillard (closes: #389812)
  * fr.po fixes by Simon Paillard (closes: #381691)
  * sv.po by Daniel Nylander (closes: #388272)
  * cs.po by Miroslav Kure (closes: #389943)
  * dropped depmod cludge from example in templates (closes: #380159)
  * prepare install build-essential, documented in the manpage (closes: #382610)
  * new option, -O, never unpacking module source (closes: #392761)
  * documented -q, -o, -O, -S (closes: #385491)

 -- Eduard Bloch <blade@debian.org>  Sat, 14 Oct 2006 00:24:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,7 @@
 #	ln -s common-rules.mk debian/module-assistant/usr/share/modass/include/common-rules.make
 #	for x in debian/module-assistant/usr/share/modass/include/*.mk ; do ln -s `basename $$x` $${x%mk}make; done
 	cp -a module-assistant debian/module-assistant/usr/bin
+	dpkg-parsechangelog >> debian/module-assistant/usr/bin/module-assistant
 	cp -a m-a debian/module-assistant/etc/bash_completion.d
 	ln -sf module-assistant debian/module-assistant/usr/bin/m-a
 	dh_installman module-assistant.8

## module-assistant 0.10.10

=== debian/changelog ===
module-assistant (0.10.10) unstable; urgency=high

  * French m-a manpage symlink fixed, patch by Simon Paillard

 -- Eduard Bloch <blade@debian.org>  Mon, 15 Jan 2007 00:18:27 +0100

module-assistant (0.10.9) unstable; urgency=medium

  * added -u... to dpkg-genchanges to make Changed-By identical with
    Maintainer header (closes: #402059)
  * added kqemu-source and linux-uvc-source to the static list
    (closes: #405955, #405492)
  * manpage rebuilt from module-assistant.8.sgml (closes: #401241)
  * French translation update (closes: #395879) and  manual page by Simon
    Paillard (closes: #401244)
  * Spanish translation by Rudy Godoy (closes: #402521)
  * Russian translation by Юрий Козлов (closes: #405404)
  * structured HOWTO-DEVEL a bit and added troubleshooting section, describing
    how to prevent post-cleaning (closes: #394090) and the --debug option
    (closes: #386407)

 -- Eduard Bloch <blade@debian.org>  Mon, 08 Jan 2007 23:42:39 +0100

## module-assistant 0.10.11

=== debian/changelog ===
module-assistant (0.10.11) unstable; urgency=medium

  * Updated the Makefile list for the languages (sorry translators)

 -- Eduard Bloch <blade@debian.org>  Sat, 27 Jan 2007 14:00:23 +0100

## module-assistant 0.10.11ubuntu1

=== Makefile ===
--- 
+++ 
@@ -14,4 +14,4 @@
 
 clean:
 	cd po && make clean
-	-rm -f manpage.*
+	rm -f manpage.*

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # For example, POFILES = ja.po fr.po pt_PR.po & MOFILES = ja.mo fr.mo pt_PR.mo
-POFILES = fr.po ja.po de.po pt_BR.po ru.po
-MOFILES = fr.mo ja.mo de.mo pt_BR.mo ru.mo
+POFILES = cs.po de.po es.po fr.po ja.po pt_BR.po ru.po sv.po
+MOFILES = cs.mo de.mo es.mo fr.mo ja.mo pt_BR.mo ru.mo sv.mo
 localedir=/usr/share/locale
 .SUFFIXES: .po .mo

=== debian/changelog ===
module-assistant (0.10.11ubuntu1) hardy; urgency=low

  * fglrx-kernel-src -> fglrx-kernel-source (LP: #70059)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu, 07 Feb 2008 20:46:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: module-assistant
 Section: misc
 Priority: optional
-Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends-Indep: debhelper (>> 4.0.0), bzip2, gettext
-Standards-Version: 3.6.2.1
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
+Build-Depends: debhelper (>> 4.0.0), bzip2, gettext
+Standards-Version: 3.7.2
 
 Package: module-assistant
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -71,8 +71,9 @@
 	dpkg-parsechangelog >> debian/module-assistant/usr/bin/module-assistant
 	cp -a m-a debian/module-assistant/etc/bash_completion.d
 	ln -sf module-assistant debian/module-assistant/usr/bin/m-a
-	dh_installman module-assistant.8
+	dh_installman module-assistant.8 module-assistant.fr.8
 	ln -sf module-assistant.8.gz debian/module-assistant/usr/share/man/man8/m-a.8.gz
+	ln -sf module-assistant.8.gz debian/module-assistant/usr/share/man/fr/man8/m-a.8.gz
 	find debian/module-assistant | grep "\.svn" | xargs rm -rf
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/modules-assistant
 	(cd po && $(MAKE) install DESTDIR=$(CURDIR)/debian/module-assistant)

## module-assistant 0.10.11.0

=== debian/changelog ===
module-assistant (0.10.11.0) unstable; urgency=medium

  * NMU prepared after consultation with the package maintainer.
  * Name change nvidia-kernel-source -> nvidia-kernel (closes: #459862).

 -- Sean Finney <seanius@debian.org>  Thu, 17 Jan 2008 21:14:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: module-assistant
 Section: misc
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
+Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>> 4.0.0), bzip2, gettext
 Standards-Version: 3.7.2
